Changement de version

Brémont
2013-10-27
2013-12-04
  • Brémont

    Brémont - 2013-10-27

    Hello !

    J'ai la version 3.4.2 (yes, it's a long time...) et je voudrais passer à la version la plus récente. Que dois-je faire ? sachant que j'ai plus de 2500 livres répertoriés que je ne voudrais pas perdre ou être obligé de tout recréer.

    Merci de votre aide.

    Xtophe

     
  • Robert Jan van der Waals

    For such an old database there is an upgrade path to follow. Use the backup & restore utility from within the latest version of Data Crow and it will tell you to which version you should upgrade first. Most likely you will have to upgrade to about 4 different versions.. Old version can be downloaded from here:
    https://sourceforge.net/projects/datacrow/files/Production%20versions/

     
  • Brémont

    Brémont - 2013-11-03

    Thank for your answer but where to find backup & restore utility ? on my datacrow version or in your site ?
    Best Regards
    Xtophe

     
  • Robert Jan van der Waals

    Hi, it's located in Data Crow. Select "Tools" from the menu and select the "Backup & Restore" utility. From there you can safely make a backup and / or restore a backup.

     
    • Brémont

      Brémont - 2013-11-16

      Hi
      3.4.13 seems to me to be the first version to be loaded. I can upgrade directly or I have to uninstall at first my version ?

       
  • Robert Jan van der Waals

    Hi,

    You can install it directly on top of teh current version.

    Cheers,
    Robert

     
    • Brémont

      Brémont - 2013-11-19

      Hi
      I can't install the version 3.4.19
      I have this message :
      loading modules
      loading items
      creating the GUI
      => Error

      I have found this
      D:\Program Files\Data Crow>java -jar -Xmx256m DataCrow.jar -webserver
      Exception in thread "main" java.lang.NoClassDefFoundError: org/mortbay/jetty/Con
      nector
      at net.datacrow.core.DataCrow.main(DataCrow.java:366)
      Caused by: java.lang.ClassNotFoundException: org.mortbay.jetty.Connector
      at java.net.URLClassLoader$1.run(Unknown Source)
      at java.net.URLClassLoader$1.run(Unknown Source)
      at java.security.AccessController.doPrivileged(Native Method)
      at java.net.URLClassLoader.findClass(Unknown Source)
      at java.lang.ClassLoader.loadClass(Unknown Source)
      at sun.misc.Launcher$AppClassLoader.loadClass(Unknown Source)
      at java.lang.ClassLoader.loadClass(Unknown Source)
      ... 1 more

      What is the problem ?

      Cheers
      Xtophe

       
  • Brémont

    Brémont - 2013-11-19

    I try with the 3.4.13 version and it's the same thing. The problem is Java : I have Java by Oracle or data crow want Java sun version 1.5.... How I make ?

     
  • Robert Jan van der Waals

    Hi,

    Let's do this differently;
    Can you send me your database by email (info@datacrow.net). I'll do the upgrade for you!
    It's located in the data folder. I need the dc.scipt and dc.properties files.

    Cheers,
    Robert

     
  • Robert Jan van der Waals

    Hi,

    I have send you an email with instructions as well as your upgraded database.

    Cheers,
    Robert

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks